com.ietnet.fse.igestore.impl.entities

## Class ConsensoGeneraleEntity

- java.lang.Object
- - com.ietnet.fse.igestore.impl.entities.ConsensoGeneraleEntity

-     @Entity
      public class ConsensoGeneraleEntity
      extends java.lang.Object

  Author:
    meola

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConsensoGeneraleEntity()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `java.lang.String` | `getAlimentazione()`
    `java.lang.String` | `getCodiceAssistito()`
    `java.lang.String` | `getConsultazione()`
    `java.sql.Timestamp` | `getDataAdesioneEcare()`
    `java.sql.Timestamp` | `getDataChiusuraEcare()`
    `java.sql.Timestamp` | `getDataFine()`
    `java.sql.Timestamp` | `getDataInizio()`
    `java.sql.Date` | `getDataNascita()`
    `java.sql.Timestamp` | `getDataRegistrazione()`
    `java.lang.String` | `getDescrDocAssistito()`
    `java.lang.String` | `getEcare()`
    `java.lang.String` | `getFlagMinorenne()`
    `java.lang.String` | `getId()`
    `java.lang.String` | `getIdDocAssistito()`
    `java.lang.String` | `getIdOperatoreReg()`
    `int` | `hashCode()`
    `void` | `setAlimentazione(java.lang.String alimentazione)`
    `void` | `setCodiceAssistito(java.lang.String codiceAssistito)`
    `void` | `setConsultazione(java.lang.String consultazione)`
    `void` | `setDataAdesioneEcare(java.sql.Timestamp dataAdesioneEcare)`
    `void` | `setDataChiusuraEcare(java.sql.Timestamp dataChiusuraEcare)`
    `void` | `setDataFine(java.sql.Timestamp dataFine)`
    `void` | `setDataInizio(java.sql.Timestamp dataInizio)`
    `void` | `setDataNascita(java.sql.Date dataNascita)`
    `void` | `setDataRegistrazione(java.sql.Timestamp dataRegistrazione)`
    `void` | `setDescrDocAssistito(java.lang.String descrDocAssistito)`
    `void` | `setEcare(java.lang.String ecare)`
    `void` | `setFlagMinorenne(java.lang.String flagMinorenne)`
    `void` | `setId(java.lang.String id)`
    `void` | `setIdDocAssistito(java.lang.String idDocAssistito)`
    `void` | `setIdOperatoreReg(java.lang.String idOperatoreReg)`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConsensoGeneraleEntity

          public ConsensoGeneraleEntity()

  - ### Method Detail

    - #### getId

          public java.lang.String getId()

    - #### setId

          public void setId(java.lang.String id)

    - #### getAlimentazione

          public java.lang.String getAlimentazione()

    - #### setAlimentazione

          public void setAlimentazione(java.lang.String alimentazione)

    - #### getDataRegistrazione

          public java.sql.Timestamp getDataRegistrazione()

    - #### setDataRegistrazione

          public void setDataRegistrazione(java.sql.Timestamp dataRegistrazione)

    - #### getDataNascita

          public java.sql.Date getDataNascita()

    - #### setDataNascita

          public void setDataNascita(java.sql.Date dataNascita)

    - #### getDataInizio

          public java.sql.Timestamp getDataInizio()

    - #### setDataInizio

          public void setDataInizio(java.sql.Timestamp dataInizio)

    - #### getDataFine

          public java.sql.Timestamp getDataFine()

    - #### setDataFine

          public void setDataFine(java.sql.Timestamp dataFine)

    - #### getDescrDocAssistito

          public java.lang.String getDescrDocAssistito()

    - #### setDescrDocAssistito

          public void setDescrDocAssistito(java.lang.String descrDocAssistito)

    - #### getIdDocAssistito

          public java.lang.String getIdDocAssistito()

    - #### setIdDocAssistito

          public void setIdDocAssistito(java.lang.String idDocAssistito)

    - #### getCodiceAssistito

          public java.lang.String getCodiceAssistito()

    - #### setCodiceAssistito

          public void setCodiceAssistito(java.lang.String codiceAssistito)

    - #### getIdOperatoreReg

          public java.lang.String getIdOperatoreReg()

    - #### setIdOperatoreReg

          public void setIdOperatoreReg(java.lang.String idOperatoreReg)

    - #### getConsultazione

          public java.lang.String getConsultazione()

    - #### setConsultazione

          public void setConsultazione(java.lang.String consultazione)

    - #### getFlagMinorenne

          public java.lang.String getFlagMinorenne()

    - #### setFlagMinorenne

          public void setFlagMinorenne(java.lang.String flagMinorenne)

    - #### getEcare

          public java.lang.String getEcare()

    - #### setEcare

          public void setEcare(java.lang.String ecare)

    - #### getDataAdesioneEcare

          public java.sql.Timestamp getDataAdesioneEcare()

    - #### setDataAdesioneEcare

          public void setDataAdesioneEcare(java.sql.Timestamp dataAdesioneEcare)

    - #### getDataChiusuraEcare

          public java.sql.Timestamp getDataChiusuraEcare()

    - #### setDataChiusuraEcare

          public void setDataChiusuraEcare(java.sql.Timestamp dataChiusuraEcare)

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`